import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';

import '../../../router/page/notice_board_page_router.dart';
import '../../notice_board/vm/notice_board_view_model.dart';

@RoutePage()
class NoticeBoardPage extends HookConsumerWidget {
  const NoticeBoardPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const NoticeBoardPageRoute());
    } else {
      appRouter.push(const NoticeBoardPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final _viewModel = ref.read(noticeBoardViewModelProvider.notifier);

    return Scaffold(
      appBar: AppBar(title: Text("消息板")),
      body: Center(
        child: Text("消息板的主页面"),
      ),
    );
  }
}
