import 'package:cs_resources/generated/assets.dart';
import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:widgets/my_load_image.dart';

import '../../../router/page/property_page_router.dart';
import '../vm/property_ioan_vm.dart';

@RoutePage()
class PropertyIoanPage extends HookConsumerWidget {
  const PropertyIoanPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const PropertyIoanPageRoute());
    } else {
      appRouter.push(const PropertyIoanPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final _vm = ref.read(propertyIoanVmProvider.notifier);

    return Scaffold(
      // appBar: AppBar(title: Text("资产")),
      body: Column(
        children: [
           MyAssetImage(
            Assets.propertyIoan,
            width: 100,
            height: 100,
          ),
        ],
      ),
    );
  }
}
