import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';

import '../../../router/page/property_page_router.dart';
import '../vm/property_rent_vm.dart';

@RoutePage()
class PropertyRentPage extends HookConsumerWidget {
  const PropertyRentPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const PropertyRentPageRoute());
    } else {
      appRouter.push(const PropertyRentPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final _vm = ref.read(propertyRentVmProvider.notifier);

    return Scaffold(
      // appBar: AppBar(title: Text("资产")),
      body: Center(
        child: Text("房屋rent的主页面"),
      ),
    );
  }
}
